Bug 1072032 - sunxi: kernel-lpae 4.15-rc2 not booting on Cubietruck
sunxi: kernel-lpae 4.15-rc2 not booting on Cubietruck
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Kernel
Current
armv7 openSUSE Factory
: P5 - None : Major (vote)
: ---
Assigned To: Andreas Färber
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-12-09 19:06 UTC by Andreas Färber
Modified: 2022-07-21 17:19 UTC (History)
4 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
earlycon boot log (12.24 KB, text/plain)
2017-12-09 19:06 UTC, Andreas Färber
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Färber 2017-12-09 19:06:06 UTC
Created attachment 752195 [details]
earlycon boot log

With kernel-lpae and dtb-sun7i 4.15.rc2-2.1.gef715eb from Kernel:HEAD project, my Cubietruck board fails to boot, with no regular console output. earlycon output (attached) indicates problems with pinctrl and clk drivers.

Workaround: Revert to 4.14.x dtb-sun7i files.

One possibly related issue may be lack of CONFIG_SUN4I_A10_CCU in lpae config.
Comment 1 Andreas Färber 2017-12-09 19:19:53 UTC
Config patch for SUN4I_A10_CCU in lpae flavor queued for master branch.
Comment 2 Andreas Färber 2017-12-09 21:55:40 UTC
Confirming the patch to fix the boot issue.
Comment 3 Andreas Färber 2017-12-11 11:31:39 UTC
Merged today. Once the 4.15-rc3 KOTD build is complete, this will be fixed.